Bug 150775 - NFSv2 UDP mounts broken in FC4test1
NFSv2 UDP mounts broken in FC4test1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
3
All Linux
high Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
: Regression
: 149790 151107 (view as bug list)
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-03-10 09:22 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 18:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes nfs mounts to rollback correctly (1.47 KB, patch)
2005-03-31 17:02 EST, Steve Dickson
no flags Details | Diff

  None (edit)
Description Joe Orton 2005-03-10 09:22:34 EST
Trying to mount from a RHEL2.1 NFS server fails unless the specific
mount options are given: this is a regression since FC3.

[root@trash mnt]# mount file:/home scratch/
mount to NFS server 'file' failed: server is down.
[root@trash mnt]# mount -onfsvers=2 file:/home scratch/
mount to NFS server 'file' failed: server is down.
[root@trash mnt]# mount -onfsvers=2,udp file:/home scratch/

possibly-relevant message in /var/log/messages:

Mar 10 14:11:55 trash automount[8382]: >> mount clntudp_create: RPC:
Program not registered

nfs-utils-1.0.7-1
kernel-2.6.11-1.1177_FC4
Comment 1 Joe Orton 2005-03-10 09:23:13 EST
missed a line: the last mount command was the one which *did* work.

[root@trash mnt]# mount -onfsvers=2,udp file:/home scratch/
[root@trash mnt]# 
Comment 2 Joe Orton 2005-03-24 05:58:25 EST
*** Bug 151107 has been marked as a duplicate of this bug. ***
Comment 3 Stephan Borg 2005-03-30 22:39:28 EST
This also effects FC3, after selinux-policy-targeted-1.17.30-2.93

The use of 'mount -oudp' is a successful work-around.
Comment 4 Stephan Borg 2005-03-30 22:41:54 EST
Sorry, there were a few more updates that happened today -

util-linux.i386 2.12a-21
initscripts.i386 7.93.7-1
Comment 5 Joe Orton 2005-03-31 04:21:56 EST
Oh yay, now my /home has gone away on my FC3 boxes too!

This is a regression between:

util-linux-2.12a-16 and
util-linux-2.12a-21

reverting to the -16 util-linux fixes the problem.

I didn't see a Test Update announcement go out for this, nor have I seen an
Update announcement to fedora-announce-list.
Comment 6 Joe Orton 2005-03-31 04:31:14 EST
It seems the specific regression introduced here by the patch to fix bug 141773
was already known for nearly two months.  Why was that patch included in the FC3
update?
Comment 7 Joe Orton 2005-03-31 04:32:54 EST
Adding back guilty party.
Comment 8 Karel Zak 2005-03-31 07:03:27 EST
Changes between 2.12a-16 and 2.12a-21:

* Fri Feb 25 2005  <SteveD@RedHat.com> 2.12a-20
- Changed nfsmount to only use reserve ports when necessary
  (bz# 141773)

* Sat Dec  4 2004 Steve Dickson <SteveD@RedHat.com> 2.12a-19
- Corrected a buffer overflow problem with nfs mounts.
  (bz# 141733)

* Mon Nov 29 2004 Steve Dickson <SteveD@RedHat.com>
- Made NFS mounts adhere to the IP protocol if specified on
  command line as well as made NFS umounts adhere to the
  current IP protocol. Fix #140016

Next time, I will be supposed to test it in devel/ branch or release Test Update.

re-assign back to Steve who probably better know where is a problem. 



Comment 9 Steve Dickson 2005-03-31 16:47:28 EST
*** Bug 149790 has been marked as a duplicate of this bug. ***
Comment 10 Steve Dickson 2005-03-31 17:02:18 EST
Created attachment 112550 [details]
Patch that fixes nfs mounts to rollback correctly

The rpm and srpm that contains this patch is available
at http://people.redhat.com/steved/bz150775
Comment 11 John Ellson 2005-03-31 17:14:24 EST
Steve's util-linux-2.12p-5 works for me for a Redhat-9 NFS server from both
x86_64 and i686 clients.

Thanks.
Comment 12 Joe Orton 2005-04-01 03:11:09 EST
The 2.12p-5 package doesn't install for me on FC3, this is a destined-for-FC4
package?

[root@pepsi ~]# rpm -Uvh util-linux-2.12p-5.i386.rpm
error: Failed dependencies:
        /usr/bin/newgrp is needed by (installed) redhat-lsb-1.3-4.i386
Comment 13 Paul Howarth 2005-04-01 06:48:54 EST
newgrp has moved to the shadow-utils package, so there may need to be a
simultaneous update of that package when the fix is released.
Comment 14 Karel Zak 2005-04-01 07:42:37 EST
util-linux-2.12p is for FC4
Comment 15 Steve Dickson 2005-04-01 07:58:45 EST
Joe,

try the one in http://people.redhat.com/steved/bz15295.
that one should work with fc3.
Comment 16 Karel Zak 2005-04-01 08:10:41 EST
http://people.redhat.com/steved/bz152956/ :-)
Comment 17 Joe Orton 2005-04-01 08:27:49 EST
util-linux-2.12a-22 works for me against the RHEL2.1 NFS server.
Comment 18 Bill Barnard 2005-04-02 04:49:55 EST
util-linux-2.12a-22 also works for me on FC3 client connecting to Legacy RH 7.3
server (NFS v3)
Comment 19 Tom Chiverton 2005-04-04 12:32:18 EDT
We started getting "unable to mount, host is down" messages recently when 
trying to mount NFS shares, and after some googling came across the indicated 
bug.

*However* installing the updated util-linux on our FC3 clients (to RedHat 9 
server) hasn't fixed it, now I get :
# rpm -q util-linux
util-linux-2.12a-22
# mount -tnfs resserv:/installfiles /mnt/resserv
mount to NFS server 'resserv' failed.

Which is even more puzzling, because it's a mount _from_ resserv.
Forcing nfsvers=3 (or 2) doesn't work either.
Comment 20 Steve Dickson 2005-04-04 12:40:04 EDT
what is the output of "rpcinfo -p resserv" ?
Comment 21 Tom Chiverton 2005-04-04 12:51:13 EDT
# rpcinfo -p resserv
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100011    1   udp    864  rquotad
    100011    2   udp    864  rquotad
    100011    1   tcp    867  rquotad
    100011    2   tcp    867  rquotad
    100005    1   udp  56616  mountd
    100005    1   tcp  51250  mountd
    100005    2   udp  56616  mountd
    100005    2   tcp  51250  mountd
    100005    3   udp  56616  mountd
    100005    3   tcp  51250  mountd
    100024    1   udp  56617  status
    100024    1   tcp  51252  status
# rpm -qf `which rpcinfo`
glibc-common-2.3.4-2.fc3.5

On the server box, all is well, btw:
# mount -tnfs resserv:/installfiles /tmp/inst/
# ls /tmp/inst
apache.org                       krb5-workstation-1.2.7-14.i386.rpm
[...]
Comment 22 Steve Dickson 2005-04-04 13:07:27 EDT
hmm... there should have been at least the following entries:
100003    2   udp   2049  nfs
100003    3   udp   2049  nfs
100003    2   tcp   2049  nfs
100003    3   tcp   2049  nfs

It appears the nfsd daemons have died on your server.
try doing a "service nfs restart" on the server to see
if that helps. You also might want to see if /var/log/messages
has anything in it that might explain why the nfsd died.
Comment 23 Tom Chiverton 2005-04-04 13:08:08 EDT
Oh, ignore me, I've rebooted the the NFS server now and all is well :-)

Confirmed that this RPM fixes the issue with FC3 client, RH9 server.

When is a proper fix going to be pushed out ?
Comment 24 Karel Zak 2005-04-04 18:54:10 EDT
Fixed and officially released in util-linux-2.12a-23. (today)

Note You need to log in before you can comment on or make changes to this bug.